<?php

/**
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('urbana_post_blocks_function')) {

	function urbana_post_blocks_function() {

		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

		if(1 == $paged) {
			
			if ( 
				(urbana_setting('urbana_postblock_1_layout', 'module-1') <> 'disable') &&
				(urbana_setting('urbana_postblock_1_category','none') <> 'none' ) 
			) {
	
				echo call_user_func(
					'urbana_get_' . str_replace('-', '_', urbana_setting('urbana_postblock_1_layout', 'module-1')),
					urbana_setting('urbana_postblock_1_show_label', true),
					urbana_setting('urbana_postblock_1_label'),
					urbana_setting('urbana_postblock_1_truncate_post_titles', false),
					urbana_setting('urbana_postblock_1_category')
				);
	
			}
					
			if ( 
				(urbana_setting('urbana_postblock_2_layout', 'disable') <> 'disable') &&
				(urbana_setting('urbana_postblock_2_category','none') <> 'none' )
			) {
	
				echo call_user_func(
					'urbana_get_' . str_replace('-', '_', urbana_setting('urbana_postblock_2_layout')),
					urbana_setting('urbana_postblock_2_show_label', true),
					urbana_setting('urbana_postblock_2_label'),
					urbana_setting('urbana_postblock_2_truncate_post_titles', false),
					urbana_setting('urbana_postblock_2_category')
				);
	
			}
				
		}
		
	}

	add_action( 'urbana_post_blocks', 'urbana_post_blocks_function' );

}

?>